jQuery(document).ready(function () {
    initDeleteAction();

    initResetFilters();
});

function initDeleteAction() {

    $('.action-delete').each(function (){
        $(this).on('click', function (e) {
            e.preventDefault();
            const id = $(this).parents('tr').first().data('id');

            $('#modal-delete').modal({backdrop: true, keyboard: true})
                .off('click', '#modal-delete-button')
                .on('click', '#modal-delete-button', function () {
                    let deleteForm = $('#delete-form');
                    deleteForm.attr('action', deleteForm.attr('action').replace('__id__', id));
                    deleteForm.trigger('submit');
                });
        });
    });
}
